Eingehenden Assistenten-Webhook aktivieren
curl --request POST \
--url https://app.autocalls.ai/api/user/assistants/enable-inbound-webhook \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assistant_id": 123,
"webhook_url": "<string>"
}
'import requests
url = "https://app.autocalls.ai/api/user/assistants/enable-inbound-webhook"
payload = {
"assistant_id": 123,
"webhook_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({assistant_id: 123, webhook_url: '<string>'})
};
fetch('https://app.autocalls.ai/api/user/assistants/enable-inbound-webhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Webhook enabled successfully",
"data": []
}
{
"message": "Assistant not found"
}
{
"message": "The given data was invalid.",
"errors": {
"assistant_id": [
"The assistant id field is required."
],
"webhook_url": [
"The webhook url field is required."
]
}
}
Assistenten
Eingehenden Assistenten-Webhook aktivieren
Eingehende Webhook-Benachrichtigungen für einen bestimmten Assistenten aktivieren
POST
/
user
/
assistants
/
enable-inbound-webhook
Eingehenden Assistenten-Webhook aktivieren
Dieser Endpunkt aktiviert eingehende Webhook-Benachrichtigungen für einen Assistenten und ermöglicht es Ihnen, Echtzeit-Updates über eingehende Anrufabschlüsse und Daten zu erhalten.
Anfragekörper
integer
erforderlich
Die ID des Assistenten, für den der Webhook aktiviert werden soll
string
erforderlich
Die URL, an die Webhook-Benachrichtigungen gesendet werden
Antwort
string
Erfolgsmeldung, die bestätigt, dass der Webhook aktiviert wurde
array
Leeres Array (für zukünftige Verwendung reserviert)
Fehlerantworten
Anzeigen Fehlerantwort
Anzeigen Fehlerantwort
string
Fehlermeldung, wenn der Assistent nicht gefunden wurde oder dem authentifizierten Benutzer nicht gehört
{
"message": "Webhook enabled successfully",
"data": []
}
{
"message": "Assistant not found"
}
{
"message": "The given data was invalid.",
"errors": {
"assistant_id": [
"The assistant id field is required."
],
"webhook_url": [
"The webhook url field is required."
]
}
}
⌘I
